Name: lyx
Version: 1.5.2
Release: alt0.M40.1

Summary: LyX - a WISYWIM word processor for the Desktop Environment.
License: GPL
Group: Publishing
Epoch: 2
Url: http://www.lyx.org

Packager: Vitaly Lipatov <lav@altlinux.ru>
Source: %name-%version.tar
Source1: %name.desktop
Source2: %{name}16.xpm
Source3: %{name}32.xpm
Source4: %{name}48.xpm
Source5: lyxcat

Patch: lyx-1.5.0-qt4.3-from_ascii.alt.patch

BuildRequires: gcc-c++ imake libaiksaurus-devel libaspell-devel libSM-devel libXcursor-devel libXi-devel libXinerama-devel libXrandr-devel linux-libc-headers packages-info-i18n-common python-dev tetex-core 
BuildRequires: kde-common-devel
BuildRequires: libqt4-devel >= 4.3

Requires: python = 2.4

Provides: lyx-common lyx-qt
Obsoletes: lyx-common lyx-qt

%description
LyX is a modern approach to writing documents which breaks with the
obsolete "typewriter paradigm" of most other document preparation
systems.

It is designed for people who want professional quality output
with a minimum of time and effort, without becoming specialists in
typesetting.

The major innovation in LyX is WYSIWYM (What You See Is What You Mean).
That is, the author focuses on content, not on the details of formatting.
This allows for greater productivity, and leaves the final typesetting
to the backends (like LaTeX) that are specifically designed for the task.

With LyX, the author can concentrate on the contents of his writing,
and let the computer take care of the rest.

%prep
%setup -q
%patch -p1

%build
%configure
%make_build

%install
%make_install DESTDIR=%buildroot install
%find_lang %name

install -d -m 755 %buildroot%_Kmenudir
install -d -m 755 %buildroot%_menudir
install -m 644 %SOURCE1 %buildroot%_Kmenudir/
install -m 644 %SOURCE1 %buildroot%_menudir/
install -d -m 755 %buildroot%_miconsdir
install -d -m 755 %buildroot%_niconsdir
install -d -m 755 %buildroot%_liconsdir
install -m 644 %SOURCE2 %buildroot%_miconsdir/%name.xpm
install -m 644 %SOURCE3 %buildroot%_niconsdir/%name.xpm
install -m 644 %SOURCE4 %buildroot%_liconsdir/%name.xpm
install -m 755 %SOURCE5 %buildroot%_bindir/

#
# Set up the lyx-specific class files where TeX can see then
#
TEXMF=%_datadir/texmf
mkdir -p %buildroot$TEXMF/tex/latex
cp -ar %buildroot%_datadir/%name/tex %buildroot$TEXMF/tex/latex/%name

%post
# Fix the TeX file hash
if [ $1 = 1 ] ; then
    [ -x %_bindir/texhash ] && %_bindir/texhash 2>/dev/null ||:
fi

# configure Lyx in new way
cd %_datadir/%name
python configure.py

%update_menus


%postun
if [ $1 = 0 ] ; then
    [ -x %_bindir/texhash ] && %_bindir/texhash 2>/dev/null ||:
fi
%clean_menus

%files -f %name.lang
%doc ANNOUNCE COPYING ChangeLog INSTALL* README* NEWS UPGRADING RELEASE-NOTES ABOUT-NLS
%_bindir/*
%_man1dir/*
%_datadir/%name
%_datadir/texmf/tex/latex/lyx
%_miconsdir/*
%_niconsdir/*
%_liconsdir/*
%_Kmenudir/*
%_menudir/*


%changelog
* Thu Oct 18 2007 Alexey Morsov <swi@altlinux.ru> 2:1.5.2-alt0.M40.1
- build for Branch

* Fri Oct 12 2007 Alexey Morsov <swi@altlinux.ru> 2:1.5.2-alt1
- Add a pixmap cache to speed up text drawing on screen.
- Improved on screen rendering of some toolbar images.
- Fix performance problem related to Clipboard and Selection on X11
  platforms (bug 4045).
- many other bug/crash fixes.

* Mon Sep 24 2007 Alexey Morsov <swi@altlinux.ru> 2:1.5.1-alt2
- add update_menus

* Tue Aug 28 2007 Alexey Morsov <swi@altlinux.ru> 2:1.5.1-alt1
- version 1.5.1
- Fix output of LyX files on windows when Document>Compressed is set.
  This is a dataloss bug that was the main reason for releasing 1.5.1
	earlier than anticipated.
- Get rid of annoying LaTeX error after changing the document language.
- Fix crashes relating to command line export
- Fix crash with TOC and child documents
- Fix export to FAT32 under Linux
- Fix pasting a selection from the same LyX document with middle mouse
  button.
- many other bug fixes.

* Mon Jul 30 2007 Alexey Morsov <swi@altlinux.ru> 2:1.5.0-alt1
- release 1.5.0
- Lots of long-lasting bugs have been fixed, as documented in LyX
  bugzilla.

* Tue Jun 19 2007 Alexey Morsov <swi@altlinux.ru> 1:1.5.0-alt3.rc1
- fix crash on click Content in Tutorial (bug #12063)
- fix koi8-r for lyx2lyx (bug# 11540)

* Sat Jun 09 2007 Alexey Morsov <swi@altlinux.ru> 1:1.5.0-alt1.rc1
- new version 1.5.0-rc1

* Fri Jun 08 2007 Alexey Morsov <swi@altlinux.ru> 1.5.0-alt3.beta1
- add patch for qt4-4.3 (from lyx-devel)

* Wed Apr 18 2007 Alexey Morsov <swi@altlinux.ru> 1.5.0-alt2.beta1
- fix Provide, Obsoletes for correct replacing of lyx < 1.5

* Fri Apr 06 2007 Alexey Morsov <swi@altlinux.ru> 1.5.0-alt1.beta1
- new version (unicode support, new file format)

* Fri Apr 14 2006 Vitaly Lipatov <lav@altlinux.ru> 1.4.1-alt0.1
- new version (1.4.1)
- Note: localization disabled, lyx-gost class is not yet supported
- dropped all additional feautures in ALT build
- dropped lyx-xforms (too obsolete)

* Fri Aug 26 2005 Vitaly Lipatov <lav@altlinux.ru> 1.3.6-alt0.2
- add patch for russian names

* Thu Aug 25 2005 Vitaly Lipatov <lav@altlinux.ru> 1.3.6-alt0.1
- new version
- fix python-strict requires (thanks ns@)
- set default tmp dir as $TMPDIR
- add dia files support

* Thu Mar 17 2005 Vitaly Lipatov <lav@altlinux.ru> 1.3.5-alt1
- rebuild with python 2.4

* Fri Jan 21 2005 Vitaly Lipatov <lav@altlinux.ru> 1.3.5-alt0.2
- new version
- build with gcc3.4 (and old libqt3)
- check hacks
- remove XFree86 requires
- fix gv argument

* Tue Sep 14 2004 Vitaly Lipatov <lav@altlinux.ru> 1.3.4-alt3
- add requires for instant preview of formulae (-preview, bc)
- build with aiksaurus (english thesaurus) support

* Fri Jun 18 2004 Vitaly Lipatov <lav@altlinux.ru> 1.3.4-alt2
- fix post/postun section with texhash
- add depend for latex-xft-fonts to lyx-qt
- add lyxcat script for preview lyx file in text mode
- move to Applications/Publishing menu

* Thu Feb 26 2004 Vitaly Lipatov <lav@altlinux.ru> 1.3.4-alt1
- new version
- change requires from python23 to python
- remove COPYING from doc
- if you want math mode symbols to show up properly (instead of red ERT text)
  see http://wiki.lyx.org/pmwiki.php/FAQ/Qt and try fix...
  or use xforms version

* Fri Jan 02 2004 Vitaly Lipatov <lav@altlinux.ru> 1.3.3-alt5
- move requires to tetex from lyx-common to lyx package
- fix language entry in ru_TOC.lyx
- add partially translated ru_UserGuide.lyx
- resave russian docs in LyX format 1.3
- build with gcc3.3

* Tue Nov 11 2003 Vitaly Lipatov <lav@altlinux.ru> 1.3.3-alt4.1
- fix spec (my stupid bug with copying languages.template)

* Sat Nov 01 2003 Vitaly Lipatov <lav@altlinux.ru> 1.3.3-alt4
- fix requires
- fix languages patch

* Thu Oct 30 2003 Vitaly Lipatov <lav@altlinux.ru> 1.3.3-alt3.1
- fix spec

* Mon Oct 27 2003 Vitaly Lipatov <lav@altlinux.ru> 1.3.3-alt3
- fix error in lib/languages filtering
- patch for fix russian filenames in graphics applied

* Thu Oct 09 2003 Vitaly Lipatov <lav@altlinux.ru> 1.3.3-alt2.1
- fix spec for build in hasher
- remove libpspell dependences

* Sat Oct 04 2003 Vitaly Lipatov <lav@altlinux.ru> 1.3.3-alt2
- add support for latex2rtf
- add lyx package for all lyx package install
- fix an error in patch
- now lyx is qt version by default

* Thu Oct 02 2003 Vitaly Lipatov <lav@altlinux.ru> 1.3.3-alt1
- new version
- add patch for filenames translation
- add patch for correct language charset

* Fri Apr 04 2003 Vitaly Lipatov <lav@altlinux.ru> 1.3.1-alt2
- remove really unneeded buildreqs

* Fri Mar 31 2003 Vitaly Lipatov <lav@altlinux.ru> 1.3.1-alt1
- new version
- split package in lyx-common, lyx-xforms, lyx-qt
- ru.po update
- non koi8-r input broken again in lyx-xforms
- stricted support of russian filenames

* Mon Dec 23 2002 Vitaly Lipatov <lav@altlinux.ru> 1.2.2-alt1
- new version
- ru.po update (some errors in 1.2.2 release)

* Thu Dec 05 2002 Vitaly Lipatov <lav@altlinux.ru> 1.2.1-alt3
- move to Publishing group
- move to section Office/Wordprocessors in menu
- build with new tetex-2.0
- spec cleanup
- ru.po update
- add generic name
- update requires

* Sun Nov 03 2002 Vitaly Lipatov <lav@altlinux.ru> 1.2.1-alt2
- correct bug with input in cp1251 locale
- new tuning for ru/ua locale
- rebuild for correct problem with incorrect path to locale dir
- add FAQ russian translation

* Mon Oct 07 2002 Vitaly Lipatov <lav@altlinux.ru> 1.2.1-alt1
- new version
- update ru_Intro.lyx, ru.po
- some patches for cyrillic purposes

* Tue Sep 24 2002 Stanislav Ievlev <inger@altlinux.ru> 1.2.0-alt1.1
- rebuild with new xforms and XFree (patch5,
  configure hack should be removed after new XFree build)
- added packager tag.

* Sun May 28 2002 Vitaly Lipatov <lav@altlinux.ru> 1.2.0-alt1
- version 1.2.0 release
- updated ru_splash.lyx ru_Intro.lyx, ru_Tutorial.lyx agaist 1.2.0 release
- updated ru.po agaist 1.2.0 release
- cp1251 documents now have names like ru.CP1251_splash.lyx
- removed doc2lyx support with hope that wvCleanLatex works correctly
- update spec

* Sun May 05 2002 Vitaly Lipatov <lav@altlinux.ru> 1.2.0-alt0
- version 1.2.0 from CVS
- modified old patches for 1.2.0 release
  + russian input support for 1.2.0 release

* Sun Apr 14 2002 Vitaly Lipatov <lav@altlinux.ru> 1.1.6-alt11
- add ru_Intro.lyx, ru_Tutorial.lyx, ru_RU_Intro.lyx, ru_RU_Tutorial.lyx
- ru.po update
- remove mozilla browser from detect in configure

* Mon Feb 18 2002 AEN <aen@logic.ru> 1.1.6-alt10
- new ru.po patch from Vitaly Lipatov

* Tue Jan 29 2002 Konstantin Volckov <goldhead@altlinux.ru> 1.1.6-alt9
- Rebuilt with Python-2.2

* Sun Jan 19 2002 Vitaly Lipatov <lav@altlinux.ru> 1.1.6-alt8
- 1.1.6fix4 patch
- ru.po update
- restructured common -alt patch

* Sun Dec 23 2001 Sergey Vlasov <vsu@altlinux.ru> 1.1.6-alt7
- spec file cleanup
- fixed compilation options, added -fno-exceptions and -D_NOTHREADS
- updated ALT patch:
  + fixed cyrillic.bind to include all keysyms with and without Shift
    (needed to make Caps Lock work correctly with cyrillic characters)
  + fixed ru_RU_splash.lyx file name
- patch in configure.in to avoid picking up libpt from the [lib]pwlib package
- patch to fix problem with entering cyrillic text into a table cell
- patch to get better-looking << and >> quotes

* Sun Dec 16 2001 Vitaly Lipatov <lav@altlinux.ru> 1.1.6-alt6
- update ru.po
- patch in lib/configure for
  + correct russian default settings
  + recognize temporarily convertor doc2lyx (wait for correct wxLatex)
  + recognize some web browsers
  + key F11 for toggle internal keyboard layout by default
- new koi8-r_win.kmap for Win keyboard layout
- update ru_Splash.lyx

* Wed Jun 27 2001 Sergie Pugachev <fd_rag@altlinux.ru> 1.1.6-alt5
- Rebuilt with python-2.1

* Mon Jun 18 2001 AEN <aen@logic.ru> 1.1.6-alt4
- Requires: xforms-devel

* Thu Jun 14 2001 AEN <aen@logic.ru> 1.1.6-alt3
- io added in cyrillic.bind

* Mon Jun 4 2001 AEN <aen@logic.ru> 1.1.6-alt2
- pt154 fixed
- ru.po fixed

* Wed May 30 2001 AEN <aen@logic.ru> 1.1.6-alt1
- 1.1.6fix2
- new patch

* Sun Dec 24 2000 AEN <aen@logic.ru>
- back to 1.1.5 with two fixes
- new ipl patch:
  + new languages
  + new encodings
  + new cyrillic.bind
  + splach for CP1251
- gcc patch

* Wed Nov 08 2000 Stefan van der Eijk <s.vandereijk@chello.nl> 1.1.6-0.2mdk
- fixed xforms lftp command for ports

* Fri Oct 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.6-0.1mdk
- new release
- daouda cleaning
- gcc-2.96 build

* Thu Oct 19 2000 Daouda Lo <daouda@mandrakesoft.com> 1.1.5-5mdk
- include fix2 (Kees report) : a lot of fixes!
- correct handling of icons

* Sat Oct 07 2000 Daouda Lo <daouda@mandrakesoft.com> 1.1.5-4mdk
- force icons to appear (big titi suX)

* Tue Sep 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.5-3mdk
- really install icon (fuc**** crashing ke which losts files)

* Tue Sep 26 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.5-2mdk
- uses find_lang
- fix Requires
- really install the menu icon (me sucks :-( )

* Mon Sep 18 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.5-1mdk
- many fixes
- BM

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.1.4-7mdk
- automatically added BuildRequires

* Thu Apr 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.4-6mdk
- add menu entry
- use spec-helper
- explain in spec how to build it (this needs to be compiled against static
  libxforms (which is authorized by its owners) because we cannot provide
  xforms.

* Thu Apr 27 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.4-5mdk
- various fixes (crash after repeated use of the backspace key, font tags,
  truncated images filename)
- add requires on tetex for post-install script

* Mon Apr 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.1.4-4mdk
- oops! half the locales were forgetted ...

* Thu Mar 30 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- new group name (same as klyx)
- fix compilation problems with new autoconf
- fix post-install scripts
- fix installation of i18n po files
- fix some bugs :
	* fix warnings about missing return type in X headers for some
     gcc/egcs versions.
	* fix parsing of LaTeX log files, where some errors got unnoticed.
	* add support for textclasses with more than 128 layouts (yes some
	  people do that!)
	* fix bug with filenames containing more that one "." (for example,
	  a.b.lyx was exported to a.ps).
	* fix partly bug with bibtex files located in the directory of
	  the document (now using an absolute path works).
	* bug in math editor, where greek letters (and some other symbols)
	  had too much spacing around them.

* Thu Mar 02 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- fix some bugs (i18n, non-gnu dvips handling, and a few others)
- add some warning in spec file in order to explain why we don't provide
  xforms. Hopefully, devel LyX-1.5 is getting independance from xforms ...
- fix compilation with newer g++-2.95.2

* Thu Feb 03 2000 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.1.14

* Fri Dec 02 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- 1.1.13

* Wed Sep 01 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rewritten %files (it had conflicts with filesystem package !)
- bzip2'ed man pages
- corrected prefix path; now it find the translation files again

* Wed Aug 18 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- initial spec


